Author (PMII - Principia Mathematica II)
Keywords: com.meyling.principia.module.Author class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hilbert II - JAVA-Packages - Principia Mathematica II
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.meyling.principia.module
Class Author

    java.lang.Object
      com.meyling.principia.argument.AbstractArgument
          com.meyling.principia.argument.AbstractArgumentList
              com.meyling.principia.module.Author

All Implemented Interfaces:
  Argument, Textable

public class Author
extends AbstractArgumentList
implements Argument, Textable

Describes a module author.

Version:
  $Revision: 1.6 $
Author:
  Michael Meyling

Constructor Summary
`Author(Argument[] arguments)` Constructs a proof line made of a formula and a rule and its arguments.

Method Summary
`Argument` | `create(Argument[] arguments)` Create a new Argument with given arguments.
`String` | `getText()` Get label of object.
`String` | `toString()` Get the argument in `String` form.

Methods inherited from class com.meyling.principia.argument.AbstractArgumentList
`copy, getArgument, getArgumentSize`

Methods inherited from class com.meyling.principia.argument.AbstractArgument
`containsPatternVariables, equals, getHighestNumber, getPatternVariables, getReplacementParents, getSearchParents, hashCode, matches, matches, replace, replace, replace, replaceMatches`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.meyling.principia.argument.Argument
`containsPatternVariables, copy, equals, getArgument, getArgumentSize, getPatternVariables, getReplacementParents, getSearchParents, hashCode, matches, matches, replace, replace, replace, replaceMatches`

Constructor Detail

### Author

    public Author(Argument[] arguments)
           throws ArgumentException

  Constructs a proof line made of a formula and a rule and its arguments.

Parameters:
  `arguments` - list of arguments
Throws:
  `ArgumentException` - if the argument list contains more than two or no entries or the arguments are not instances of `Specification` and `Label` (in this order).

Method Detail

### getText

    public final String getText()

  Description copied from interface: `Textable`
  Get label of object.

  Specified by:
    `getText` in interface `Textable`
  Returns:
    label of object

### create

    public final Argument create(Argument[] arguments)
                          throws ArgumentException

  Description copied from interface: `Argument`
  Create a new Argument with given arguments.

  Specified by:
    `create` in interface `Argument`
  Specified by:
    `create` in class `AbstractArgumentList`
  Throws:
    `ArgumentException`

### toString

    public final String toString()

  Description copied from interface: `Argument`
  Get the argument in `String` form.

  Specified by:
    `toString` in interface `Argument`
  Specified by:
    `toString` in class `AbstractArgumentList`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hilbert II - JAVA-Packages - Principia Mathematica II
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

©left GNU General Public Licence All Rights Reserved.